Packages

Category Task Type Priority Severity Summary Status Progress
AnyFeature RequestVery HighHigh [erlang-nox] contains systemd unit files Closed
100%
Task Description

Description:

  • The Arch version of Erlang (headless version) from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : erlang-nox
Version         : 19.3-3
Description     : General-purpose concurrent functional programming language developed by Ericsson (headless version)
Architecture    : x86_64
URL             : http://www.erlang.org/
Licenses        : Apache
Groups          : None
Provides        : None
Depends On      : ncurses  openssl
Optional Deps   : erlang-unixodbc: database support
                  java-environment: for Java support
                  lksctp-tools: for SCTP support
Conflicts With  : erlang
Replaces        : None
Download Size   : 39.01 MiB
Installed Size  : 106.73 MiB
Packager        : Jan de Groot <jgc@archlinux.org>
Build Date      : Fri 28 Apr 2017 08:44:33 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/epmd.service is owned by erlang-nox 19.3-3
/usr/lib/systemd/system/epmd.socket is owned by erlang-nox 19.3-3

Steps to reproduce:

  • Install package.
AnyFeature RequestVery HighHigh [motion] contains systemd unit file Closed
100%
Task Description

Description:

  • The Arch version of Motion from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : motion
Version         : 4.0.1-2
Description     : A software motion detector which grabs images from video4linux devices and/or from webcams
Architecture    : x86_64
URL             : http://www.lavrsen.dk/foswiki/bin/view/Motion/WebHome
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : libjpeg  v4l-utils  ffmpeg
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 235.61 KiB
Installed Size  : 923.00 KiB
Packager        : Sergej Pupykin <pupykin.s+arch@gmail.com>
Build Date      : Mon 14 Nov 2016 02:17:55 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/motion.service is owned by motion 4.0.1-2

Steps to reproduce:

  • Install package.
AnyFeature RequestVery HighHigh [pkgfile] contains systemd unit files Closed
100%
Task Description

Description:

  • The Arch version of pkgfile from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : extra
Name            : pkgfile
Version         : 17-1
Description     : a pacman .files metadata explorer
Architecture    : x86_64
URL             : http://github.com/falconindy/pkgfile
Licenses        : MIT
Groups          : None
Provides        : None
Depends On      : libarchive  curl  pcre  pacman
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 23.16 KiB
Installed Size  : 47.00 KiB
Packager        : Dave Reisner <dreisner@archlinux.org>
Build Date      : Tue 18 Apr 2017 05:30:59 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/pkgfile-update.service is owned by pkgfile 17-1
/usr/lib/systemd/system/pkgfile-update.timer is owned by pkgfile 17-1

Steps to reproduce:

  • Install package.
AnyFeature RequestVery HighHigh [tinc] contains systemd unit files Closed
100%
Task Description

Description:

  • The Arch version of tinc from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : community
Name            : tinc
Version         : 1.0.31-2
Description     : VPN (Virtual Private Network) daemon
Architecture    : x86_64
URL             : http://www.tinc-vpn.org/
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : lzo  openssl  zlib
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 107.42 KiB
Installed Size  : 194.00 KiB
Packager        : Evangelos Foutras <evangelos@foutrelis.com>
Build Date      : Mon 13 Mar 2017 01:06:11 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/tinc.service is owned by tinc 1.0.31-2
/usr/lib/systemd/system/tinc@.service is owned by tinc 1.0.31-2

Steps to reproduce:

  • Install package.
AnyFeature RequestVery HighHigh [phpldapadmin] needs OpenRC init script  Closed
100%
Task Description

pacman -Qi phpldapadmin
Name : phpldapadmin
Version : 1.2.3-8
Description : A PHP and hence web-based tool to administrate LDAP over

                the WWW

Architecture : any
URL : http://phpldapadmin.sourceforge.net/ Licenses : GPL Groups : None
Provides : None
Depends On : libldap php php-ldap
Optional Deps : None
Required By : None
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 3.03 MiB
Packager : Sergej Pupykin <pupykin.s+arch@gmail.com>
Build Date : Thu 02 Feb 2017 06:04:00 PM CET
Install Date : Tue 10 Jul 2018 10:52:31 AM CEST
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

AnyFeature RequestVery HighHigh [pkgfile] contains systemd unit files Closed
100%
Task Description

Description:

  • The Arch version of pkgfile from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or create a cron job (scheduled task) to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repository      : extra
Name            : pkgfile
Version         : 17-1
Description     : a pacman .files metadata explorer
Architecture    : x86_64
URL             : http://github.com/falconindy/pkgfile
Licenses        : MIT
Groups          : None
Provides        : None
Depends On      : libarchive  curl  pcre  pacman
Optional Deps   : None
Conflicts With  : None
Replaces        : None
Download Size   : 23.16 KiB
Installed Size  : 47.00 KiB
Packager        : Dave Reisner <dreisner@archlinux.org>
Build Date      : Tue 18 Apr 2017 05:30:59 PM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature
/usr/lib/systemd/system/pkgfile-update.service is owned by pkgfile 17-1
/usr/lib/systemd/system/pkgfile-update.timer is owned by pkgfile 17-1

Steps to reproduce:

  • Install package.
AnyBackport RequestVery HighHigh [nodejs] backporting to nodejs LTS 8.11.3 Closed
100%
Task Description

Description:

Hi dear developers of Hyperbola. I work in the field of web development. I use a lot of javascript and nodejs to compile.
Could they do the nodejs update?. I also mention this because Hyperbola works with LTS packages.

Additional info:

* package version(s)

$ sudo pacman -Si nodejs
Repositorio               : community
Nombre                    : nodejs
Versión                   : 7.10.0-1
Descripción               : Evented I/O for V8 javascript
Arquitectura              : x86_64
URL                       : http://nodejs.org/
Licencias                 : MIT
Grupos                    : Nada
Provee                    : Nada
Depende de                : openssl-1.0  zlib  icu  libuv  http-parser  c-ares
Dependencias opcionales   : npm: nodejs package manager
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 4,55 MiB
Tamaño de la instalación  : 18,49 MiB
Encargado                 : Felix Yan <felixonmars@archlinux.org>
Fecha de creación         : mié 03 may 2017 09:50:26 -05
Validado por              : Suma MD5  Suma SHA-256  Firma
$ sudo pacman -Si npm
Repositorio               : community
Nombre                    : npm
Versión                   : 4.5.0-1
Descripción               : A package manager for javascript
Arquitectura              : any
URL                       : https://www.npmjs.com/
Licencias                 : custom:Artistic
Grupos                    : Nada
Provee                    : nodejs-node-gyp
Depende de                : nodejs  semver
Dependencias opcionales   : python2: for node-gyp
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 2,72 MiB
Tamaño de la instalación  : 13,98 MiB
Encargado                 : Felix Yan <felixonmars@archlinux.org>
Fecha de creación         : mié 12 abr 2017 22:08:06 -05
Validado por              : Suma MD5  Suma SHA-256  Firma

- NodeJS LTS (includes npm 5.6.0):

* https://nodejs.org/dist/v8.11.3/node-v8.11.3.tar.gz

* https://nodejs.org/dist/v8.11.3/SHASUMS256.txt.asc

Some errors that I suffer when compiling:
- https://stackoverflow.com/questions/46476741/nodejs-util-promisify-is-not-a-function

AnyFeature RequestVery HighHigh [netdata] contains systemd unit files  Closed
100%
Task Description

Description:

The Arch version of tinc from the snapshot used by Hyperbola comes with systemd support. Since Hyperbola follows the Init Freedom Campaign , systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)
* config and/or log files etc.

Repositorio               : community
Nombre                    : netdata
Versión                   : 1.6.0-3
Descripción               : Real-time performance monitoring, in the greatest possible detail, over the web.
Arquitectura              : x86_64
URL                       : https://github.com/firehol/netdata/wiki
Licencias                 : GPL
Grupos                    : Nada
Provee                    : Nada
Depende de                : libmnl  libnetfilter_acct  zlib
Dependencias opcionales   : nodejs: Webbox plugin
                            lm_sensors: sensors module
En conflicto con          : Nada
Remplaza a                : Nada
Tamaño de la descarga     : 1778,98 KiB
Tamaño de la instalación  : 6515,00 KiB
Encargado                 : Sven-Hendrik Haase <sh@lutzhaase.com>
Fecha de creación         : dom 23 abr 2017 16:24:38 -05
Validado por              : Suma MD5  Suma SHA-256  Firma
community/netdata	/usr/lib/systemd/
community/netdata	/usr/lib/systemd/system/
community/netdata	/usr/lib/systemd/system/netdata.service

Steps to reproduce:

  • Install package
AnyFeature RequestVery HighHigh [backuppc]: contains systemd files Closed
100%
Task Description

Description:

Since Hyperbola follows the Init Freedom Campaign, systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)

community/backuppc 4.1.2-1 [installed]

   Enterprise-grade system for backing up Linux, Windows and MacOS PCs

* config and/or log files etc.

Additional info:

Steps to reproduce: install it

AnyFeature RequestVery HighHigh [gpsd]: contains systemd files Closed
100%
Task Description

Since Hyperbola follows the Init Freedom Campaign, systemd unit files removal is required or add OpenRC init scripts to replace it.

Additional info:
* package version(s)

extra/gpsd 3.16-3 [installed]

   GPS daemon and library to support USB/serial GPS devices

* config and/or log files etc.

Additional info:

Steps to reproduce: install it

StableFeature RequestVery HighHigh [hiawatha]: remove systemd files, provide openrc Closed
100%
Task Description

Description:

Hiawatha contains only systemd files.

It shall be removed and openrc shall be provided

AnyFeature RequestVery HighHigh [dovecot] needs OpenRC init script and contains systemd ...Closed
100%
Task Description

Description:

  • needs OpenRC init script and contains systemd files

Additional info:

  • dovecot 2.2.29.1-1
dovecot /usr/lib/systemd/system/dovecot.service
dovecot /usr/lib/systemd/system/dovecot.socket
dovecot /usr/lib/tmpfiles.d/dovecot.conf

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [onioncat] needs OpenRC init script Closed
100%
Task Description

Description:

  • needs OpenRC init script

Additional info:

  • onioncat 0.2.2.r578-1

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [umurmur] needs OpenRC init script and contains systemd ...Closed
100%
Task Description

Description:

  • needs OpenRC init script and contains systemd file

Additional info:

  • umurmur 0.2.16_a-6
umurmur /usr/lib/systemd/system/umurmur.service

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [prosody] needs OpenRC init script and contains systemd ...Closed
100%
Task Description

Description:

  • needs OpenRC init script and contains systemd files

Additional info:

  • prosody 1:0.10.r7198+.2fd20f372cb1+-2
prosody /usr/lib/systemd/system/prosody.service
prosody /usr/lib/sysusers.d/prosody.conf
prosody /usr/lib/tmpfiles.d/prosody.conf

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [unrealircd] needs OpenRC init script and contains syst ...Closed
100%
Task Description

Description:

  • needs OpenRC init script and contains systemd files

Additional info:

  • unrealircd 4.0.11-2
unrealircd /usr/lib/systemd/system/unrealircd.service
unrealircd /usr/lib/tmpfiles.d/unrealircd.conf

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [mcelog] needs OpenRC init script and contains systemd  ...Closed
100%
Task Description

Description:

  • needs OpenRC init script and contains systemd file

Additional info:

  • mcelog 1:148-1
mcelog /usr/lib/systemd/system/mcelog.service

Steps to reproduce:

  • none
AnyBug ReportVery HighHigh [openrc] needs a minor fix Closed
100%
Task Description

Description:

  • OpenRC needs a minor fix (remount proc)

Additional info:

  • openrc 0.28-19
openrc /usr/lib/rc/sh/init.sh

-        mount -n -t proc -o noexec,nosuid,nodev,gid=proc,hidepid=2 proc /proc
+        mount -n -t proc -o noexec,nosuid,nodev proc /proc
+        mount -n /proc -o remount,gid=26,hidepid=2

Steps to reproduce:

  • Boot OpenRC in chroot with unshare
AnyFeature RequestVery HighHigh [bzr] needs OpenRC init script (bzr serve) Closed
100%
Task Description

Description:

  • needs OpenRC init script (bzr serve), like [git] (git-daemon) and [subversion] (svnserve)

Additional info:

  • bzr 2.7.0-2
Note: needs a provide: bazaar

Steps to reproduce:

  • none
AnyFeature RequestVery HighHigh [mercurial] needs OpenRC init scripts (hg serve and chg ...Closed
100%
Task Description

Description:

  • needs OpenRC init scripts (hg serve and chg server), like [git] (git-daemon) and [subversion] (svnserve)

Additional info:

  • mercurial 4.2-1
Note: needs a provide: hg

Steps to reproduce:

  • none
AnyImplementation RequestVery HighHigh [murmur-headless] add a Murmur package capable of worki ...Closed
100%
Task Description

Description:

  • Add new a Murmur package capable of working without a graphical user interface. It’s common on servers and embedded devices that requires only interfaces like network (eg. SSH) or serial port to handle services.

Additional info:

  • based on murmur 1.2.19-5

Steps to reproduce:

  • none
AnyImplementation RequestVery HighHigh [asterisk-headless] add an Asterisk package capable of  ...Closed
100%
Task Description

Description:

  • Add an Asterisk package capable of working without a graphical user interface. It’s common on servers and embedded devices that requires only interfaces like network (eg. SSH) or serial port to handle services.

Additional info:

  • based on asterisk 14.4.0-1

Steps to reproduce:

  • none
AnyBug ReportVery HighHigh [mkinitcpio] consolefont and keymap hooks is adapted to ...Closed
100%
Task Description

Description:

  • “consolefont” and “keymap” hooks is adapted to systemd using /etc/vconsole.conf file, those hooks are needed to adapt to [openrc] with /etc/conf.d/consolefont and /etc/conf.d/keymaps

Additional info:

  • mkinitcpio 23-1.hyperbola3.1
/usr/lib/initcpio/install/consolefont
---
-        [[ -s /etc/vconsole.conf ]] && . /etc/vconsole.conf
+        [[ -s /etc/conf.d/consolefont ]] && . /etc/conf.d/consolefont

-        if [[ $FONT ]]; then
-            for file in "/usr/share/kbd/consolefonts/$FONT".@(fnt|psf?(u))?(.gz); do
+        if [[ $consolefont ]]; then
+            for file in "/usr/share/kbd/consolefonts/$consolefont".@(fnt|psf?(u))?(.gz); do

-            error "consolefont: requested font not found: \`%s'" "$FONT"
+            error "consolefont: requested font not found: \`%s'" "$consolefont"

-This hook loads consolefont specified in vconsole.conf during early 
-userspace.
+This hook loads consolefont specified in /etc/conf.d/consolefont during 
+early userspace.
/usr/lib/initcpio/install/keymap
---
-        for cfg in /etc/{vconsole,locale}.conf; do
+        for cfg in /etc/{conf.d/keymaps,locale}.conf; do

-        loadkeys -q $uc ${KEYMAP:-us} -b > "$BUILDROOT/keymap.bin"
+        loadkeys -q $uc ${keymap:-us} -b > "$BUILDROOT/keymap.bin"

-This hook loads keymap(s) specified in vconsole.conf during early 
-userspace.
+This hook loads keymap(s) specified in /etc/conf.d/keymaps during 
+early userspace.
Repository      : core
Name            : mkinitcpio
Version         : 23-1.hyperbola3.1
Description     : Modular initramfs image creation utility, with eudev support
Architecture    : any
URL             : https://projects.archlinux.org/mkinitcpio.git/
Licenses        : GPL
Groups          : None
Provides        : None
Depends On      : awk  mkinitcpio-busybox>=1.19.4-2  kmod  util-linux>=2.23  libarchive  coreutils  bash  findutils  grep  filesystem>=2011.10-1  gzip  eudev
Optional Deps   : xz: Use lzma or xz compression for the initramfs image
                  bzip2: Use bzip2 compression for the initramfs image
                  lzop: Use lzo compression for the initramfs image
                  lz4: Use lz4 compression for the initramfs image
                  mkinitcpio-nfs-utils: Support for root filesystem on NFS
Conflicts With  : None
Replaces        : None
Download Size   : 38.40 KiB
Installed Size  : 186.00 KiB
Packager        : André Silva <emulatorman@hyperbola.info>
Build Date      : Fri 05 Oct 2018 03:28:32 AM -03
Validated By    : MD5 Sum  SHA-256 Sum  Signature

Steps to reproduce:

  • Use “consolefont” and “keymap” hooks from mkinitcpio
TestingBug ReportHighHigh [sway] error while loading shared libraries Closed
100%
Task Description

$ pacman -Si sway
Repository : community
Name : sway
Version : 0.12.2-1
Description : i3 compatible window manager for Wayland
Architecture : x86_64
URL : http://swaywm.org Licenses : MIT Groups : None
Provides : None
Depends On : wlc xorg-server-xwayland json-c pango wayland gdk-pixbuf2
Optional Deps : rxvt-unicode: Default terminal emulator.

                dmenu: Default for launching applications.
                imagemagick: For taking screenshots.
                ffmpeg: For recording screencasts.
                i3status: To display system information with a bar.

Conflicts With : None
Replaces : None
Download Size : 4.76 MiB
Installed Size : 5.32 MiB
Packager : Jerome Leclanche jerome@leclan.ch Build Date : Wed 12 Apr 2017 02:42:57 PM -03
Validated By : MD5 Sum SHA-256 Sum Signature

$ sway
sway: error while loading shared libraries: libsystemd.so.0: cannot open shared object file: No such file or directory

$ ldd /usr/bin/sway

linux-vdso.so.1 (0x00007fffe00eb000)
libwlc.so.0 => /usr/lib/libwlc.so.0 (0x00007f41d3298000)
libxkbcommon.so.0 => /usr/lib/libxkbcommon.so.0 (0x00007f41d3058000)
libjson-c.so.2 => /usr/lib/libjson-c.so.2 (0x00007f41d2e4d000)
libwayland-server.so.0 => /usr/lib/libwayland-server.so.0 (0x00007f41d2c3a000)
libinput.so.10 => /usr/lib/libinput.so.10 (0x00007f41d2a05000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007f41d27f8000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007f41d25ac000)
libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007f41d235a000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007f41d202c000)
libm.so.6 => /usr/lib/libm.so.6 (0x00007f41d1d19000)
libcap.so.2 => /usr/lib/libcap.so.2 (0x00007f41d1b15000)
libc.so.6 => /usr/lib/libc.so.6 (0x00007f41d1771000)
libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007f41d14c9000)
libudev.so.1 => /usr/lib/libudev.so.1 (0x00007f41d12a4000)
libGLESv2.so.2 => /usr/lib/libGLESv2.so.2 (0x00007f41d109a000)
libEGL.so.1 => /usr/lib/libEGL.so.1 (0x00007f41d0e65000)
libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007f41d0c54000)
libgbm.so.1 => /usr/lib/libgbm.so.1 (0x00007f41d0a47000)
libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f41d0843000)
libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f41d0504000)
libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0x00007f41d0302000)
libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007f41d00d9000)
libxcb-composite.so.0 => /usr/lib/libxcb-composite.so.0 (0x00007f41cfed6000)
libxcb-xkb.so.1 => /usr/lib/libxcb-xkb.so.1 (0x00007f41cfcb9000)
libxcb-image.so.0 => /usr/lib/libxcb-image.so.0 (0x00007f41cfab4000)
libxcb-xfixes.so.0 => /usr/lib/libxcb-xfixes.so.0 (0x00007f41cf8ac000)
libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007f41cf65b000)
libsystemd.so.0 => not found
libffi.so.6 => /usr/lib/libffi.so.6 (0x00007f41cf452000)
librt.so.1 => /usr/lib/librt.so.1 (0x00007f41cf24a000)
libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f41cf02c000)
libmtdev.so.1 => /usr/lib/libmtdev.so.1 (0x00007f41cee26000)
libevdev.so.2 => /usr/lib/libevdev.so.2 (0x00007f41cec0c000)
libwacom.so.2 => /usr/lib/libwacom.so.2 (0x00007f41cea02000)
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007f41ce7ed000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f41ce4d9000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f41ce295000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f41cdfd4000)
libthai.so.0 => /usr/lib/libthai.so.0 (0x00007f41cddca000)
libpng16.so.16 => /usr/lib/libpng16.so.16 (0x00007f41cdb94000)
libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0x00007f41cd990000)
libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0x00007f41cd782000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007f41cd577000)
libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f41cd365000)
libz.so.1 => /usr/lib/libz.so.1 (0x00007f41cd14e000)
libGL.so.1 => /usr/lib/libGL.so.1 (0x00007f41ccedc000)
/lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f41d34db000)
libglapi.so.0 => /usr/lib/libglapi.so.0 (0x00007f41cccad000)
libxcb-dri2.so.0 => /usr/lib/libxcb-dri2.so.0 (0x00007f41ccaa8000)
libxcb-dri3.so.0 => /usr/lib/libxcb-dri3.so.0 (0x00007f41cc8a5000)
libxcb-present.so.0 => /usr/lib/libxcb-present.so.0 (0x00007f41cc6a2000)
libxcb-sync.so.1 => /usr/lib/libxcb-sync.so.1 (0x00007f41cc49b000)
libxshmfence.so.1 => /usr/lib/libxshmfence.so.1 (0x00007f41cc298000)
libwayland-client.so.0 => /usr/lib/libwayland-client.so.0 (0x00007f41cc089000)
libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f41cbe5f000)
libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f41cbc5b000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f41cba55000)
libxcb-util.so.1 => /usr/lib/libxcb-util.so.1 (0x00007f41cb84f000)
libelogind.so.0 => /usr/lib/libelogind.so.0 (0x00007f41d3634000)
libgudev-1.0.so.0 => /usr/lib/libgudev-1.0.so.0 (0x00007f41cb645000)
libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0x00007f41cb3b1000)
libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f41cb13e000)
libbz2.so.1.0 => /usr/lib/libbz2.so.1.0 (0x00007f41caf2e000)
libdatrie.so.1 => /usr/lib/libdatrie.so.1 (0x00007f41cad26000)
libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007f41cab23000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007f41ca91d000)
libxcb-glx.so.0 => /usr/lib/libxcb-glx.so.0 (0x00007f41ca701000)
libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007f41ca4fb000)
libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007f41ca166000)
libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0x00007f41c9f3a000)
libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007f41c9d36000)
libresolv.so.2 => /usr/lib/libresolv.so.2 (0x00007f41c9b20000)
libmount.so.1 => /usr/lib/libmount.so.1 (0x00007f41c98d2000)
libblkid.so.1 => /usr/lib/libblkid.so.1 (0x00007f41c968c000)
libuuid.so.1 => /usr/lib/libuuid.so.1 (0x00007f41c9487000)
TestingBug ReportHighHigh [sddm] error while loading shared libraries Closed
100%
Task Description

$ pacman -Si sddm
Repository : extra
Name : sddm
Version : 0.14.0-2
Description : QML based X11 display manager
Architecture : x86_64
URL : http://github.com/sddm/sddm Licenses : GPL Groups : None
Provides : display-manager
Depends On : qt5-declarative
Optional Deps : None
Conflicts With : None
Replaces : None
Download Size : 3.22 MiB
Installed Size : 4.16 MiB
Packager : Antonio Rojas arojas@archlinux.org Build Date : Fri 02 Sep 2016 03:45:49 PM -03
Validated By : MD5 Sum SHA-256 Sum Signature

$ sddm
sddm: error while loading shared libraries: libsystemd.so.0: cannot open shared object file: No such file or directory

$ ldd /usr/bin/sddm

linux-vdso.so.1 (0x00007ffe6dbf3000)
libQt5DBus.so.5 => /usr/lib/libQt5DBus.so.5 (0x00007f4f42c22000)
libQt5Qml.so.5 => /usr/lib/libQt5Qml.so.5 (0x00007f4f4261e000)
libsystemd.so.0 => not found
libQt5Network.so.5 => /usr/lib/libQt5Network.so.5 (0x00007f4f42293000)
libQt5Core.so.5 => /usr/lib/libQt5Core.so.5 (0x00007f4f41bb7000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f4f4182f000)
libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f4f41618000)
libc.so.6 => /usr/lib/libc.so.6 (0x00007f4f41274000)
libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f4f41056000)
libdbus-1.so.3 => /usr/lib/libdbus-1.so.3 (0x00007f4f40e05000)
libm.so.6 => /usr/lib/libm.so.6 (0x00007f4f40af2000)
libssl.so.1.0.0 => /usr/lib/libssl.so.1.0.0 (0x00007f4f40884000)
libcrypto.so.1.0.0 => /usr/lib/libcrypto.so.1.0.0 (0x00007f4f40413000)
libz.so.1 => /usr/lib/libz.so.1 (0x00007f4f401fc000)
libicui18n.so.59 => /usr/lib/libicui18n.so.59 (0x00007f4f3fd7e000)
libicuuc.so.59 => /usr/lib/libicuuc.so.59 (0x00007f4f3f9cd000)
libdl.so.2 => /usr/lib/libdl.so.2 (0x00007f4f3f7c9000)
librt.so.1 => /usr/lib/librt.so.1 (0x00007f4f3f5c1000)
libpcre16.so.0 => /usr/lib/libpcre16.so.0 (0x00007f4f3f358000)
libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f4f3f044000)
/lib64/ld-linux-x86-64.so.2 (0x00007f4f42eae000)
libelogind.so.0 => /usr/lib/libelogind.so.0 (0x00007f4f43013000)
libicudata.so.59 => /usr/lib/libicudata.so.59 (0x00007f4f3d531000)
libpcre.so.1 => /usr/lib/libpcre.so.1 (0x00007f4f3d2be000)
libcap.so.2 => /usr/lib/libcap.so.2 (0x00007f4f3d0ba000)
AnySecurity IssueHighHigh [npapi-sdk] remove unsecure/deprecated package Closed
100%
AnySecurity IssueHighHigh [npapi-vlc] remove unsecured package Closed
100%
AnySecurity IssueHighHigh [nspluginwrapper] remove unsecure/deprecated package Closed
100%
AnySecurity IssueHighHigh [x2goplugin] remove unsecure package Closed
100%
AnySecurity IssueHighHigh [djview] remove unsecure "nsdejavu.so" Closed
100%
AnySecurity IssueHighHigh [icedtea-web] remove unsecure "IcedTeaPlugin.so" Closed
100%
TestingBug ReportHighHigh [freerdp] error while loading shared libraries Closed
100%
TestingBug ReportHighHigh [gnome-shell] error while loading shared libraries Closed
100%
TestingBug ReportHighHigh [ksystemlog] error while loading shared libraries Closed
100%
TestingBug ReportHighHigh [mutter] error while loading shared libraries Closed
100%
AnyDrop RequestHighHigh [devtools] remove this package Closed
100%
AnyPrivacy IssueHighHigh [redshift] remove geoclue2 support Closed
100%
AnyPrivacy IssueHighHigh [epiphany] would be more private if not for Hyperbola p ...Closed
100%
AnyBug ReportHighHigh [tlp] remove systemd support Closed
100%
AnyBug ReportHighHigh [sway] relies on systemd libraries Closed
100%
AnySecurity IssueHighHigh [podofo] vulnerable allows remote attackers to cause a  ...Closed
100%
AnySecurity IssueHighHigh [isync] needs update Closed
100%
AnyDrop RequestHighHigh [ssmtp] remove obsolete package Closed
100%
AnyFeature RequestHighHigh [icedove-enigmail] add package Closed
100%
StableBug ReportHighHigh [elogind] /usr/lib/udev/rules.d/73-seat-late.rules not  ...Closed
100%
AnyImplementation RequestHighHigh [onioncat]: add package Closed
100%
StableBug ReportHighHigh [qemu] add missing libseccomp dependency Closed
100%
AnyImplementation RequestHighHigh [xen] add Xen 4.8.x split packages Closed
100%
AnySecurity IssueHighHigh [busybox] CVE-2017-16544: autocompletion vulnerability Closed
100%
AnyBug ReportHighHigh [gnome-disk-utility] error while loading shared librari ...Closed
100%
Showing tasks 201 - 250 of 1513 Page 5 of 31

Available keyboard shortcuts

Tasklist

Task Details

Task Editing